org.richfaces.webapp

## Class PushServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.atmosphere.cpr.AtmosphereServlet
      - - org.richfaces.webapp.PushServlet

- All Implemented Interfaces:
    Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, org.apache.catalina.comet.CometProcessor, org.atmosphere.di.ServletContextProvider, org.jboss.servlet.http.HttpEventServlet

      public final class PushServlet
      extends org.atmosphere.cpr.AtmosphereServlet

  Author:
    Nick Belaevski
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.atmosphere.cpr.AtmosphereServlet

      `framework, logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PushServlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `void` | `init(javax.servlet.ServletConfig sc)`

    - ### Methods inherited from class org.atmosphere.cpr.AtmosphereServlet

      `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, event, event, event, framework`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.atmosphere.di.ServletContextProvider

      `getServletContext`

    - ### Methods inherited from interface javax.servlet.Servlet

      `getServletConfig, getServletInfo, service`

- - ### Constructor Detail

    - #### PushServlet

          public PushServlet()

  - ### Method Detail

    - #### init

          public void init(javax.servlet.ServletConfig sc)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Servlet`
      Overrides:
        `init` in class `org.atmosphere.cpr.AtmosphereServlet`
      Throws:
        `javax.servlet.ServletException`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `javax.servlet.Servlet`
      Overrides:
        `destroy` in class `org.atmosphere.cpr.AtmosphereServlet`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.